#!/bin/bash

#That script installs necessary packages that provides by ubuntu community,
#so you can download sources through git, compile MXE and build GNU/Linux version of openxcom

#Use root right
[ "$(whoami)" != "root" ] && exec sudo -- "$0" "$@"

#Enable universe repository in Ubuntu
add-apt-repository universe
apt-get update

#We need git in order to download source and some packages
apt-get --assume-yes install git

#install requiment components in order to build MXE
apt-get --assume-yes install autoconf autopoint bison gperf \
	 intltool libtool ruby scons p7zip-full libgtk2.0-dev flex

#install requiment components in order to build GNU/Linux version of openxcom
apt-get --assume-yes --no-install-recommends install \
    build-essential libboost-dev libsdl1.2-dev libsdl-mixer1.2-dev \
    libsdl-image1.2-dev libsdl-gfx1.2-dev libyaml-cpp-dev xmlto